Bug 96967 - Installer crashes just after "loading install image to disk"
Summary: Installer crashes just after "loading install image to disk"
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-07 09:17 UTC by Steve McInerney
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-14 16:42:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Installer dump file (107.10 KB, text/plain)
2003-06-20 08:57 UTC, Steve McInerney
no flags Details

Description Steve McInerney 2003-06-07 09:17:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4b) Gecko/20030507

Description of problem:
Am upgrading from RH8 -> 9
All goes well till just before packages actually start getting upgraded. Just
post the install image being transferred to disk (or similar message).

Get the following message:
IOError: [Errno 22] Invalid argument

or for more completeness:
Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 936, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 155, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 761, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 157, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 225, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 675, in doPreInstall
    f.close()
IOError: [Errno 22] Invalid argument



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. do the install - boot from cd
2. as I'm using FastTrak'd disks need to boot with a special install:
linux ide0=0x1f0,0x3f6,14 ide1=0x170,0x376,15 ide2=0 ide3=0 ide4=0
        ide5=0 ide6=0 ide7=0 ide8=0 ide9=0 expert

Driver from:
http://listman.redhat.com/mailman/listinfo/ataraid-list
-> http://members.rogers.com/sith.warrior/

3. Use the given driver disk
Disks are seen and correct packages recognised.

4. Continue thru upgrade screens
5. Get to install image being transferred - Boom.
    

Actual Results:  Boom.

Expected Results:  Packages start being upgraded

Additional info:

Can provide a full anacdump if desired.

Will be attempting to do a upgrade on the same pc using same steps but to a
standard IDE drive, but still load the FastTrak drivers. Just need to recover
50Mb of space in /usr...

Comment 1 Jeremy Katz 2003-06-12 18:17:49 UTC
Yes, the full anacdump.txt would be very helpful

Comment 2 Steve McInerney 2003-06-20 08:57:13 UTC
Created attachment 92505 [details]
Installer dump file

As requested - full anacdump.txt

Comment 3 Michael Fulbright 2003-06-23 20:21:12 UTC
This is an odd error related to the failure to close a file on the hard drive -
since we do not support the third party driver disks you are using it may be
worth contacting the vendor who supplied them.  I have not seen this error
reported before for systems not using this driver disk.  It would be interesting
if you can do a test install w/o using the driver disk if possible.

Comment 4 Michael Fulbright 2003-07-14 16:42:47 UTC
Closing due to inactivity. Please reopen if you have additional information to
add to this report.

Comment 5 Steve McInerney 2003-07-20 03:58:28 UTC
Was unable via a variety of means (with/out drivers etc) to do a normal upgrade. 
Did eventually get to RH9 by effectively doing a fresh install - which worked with only minor 
problems (lost boot sector, driver libs all screwy - about 5 - 10 minutes of fixes). 
 
Then modified conf files as necessary from backups. 


Note You need to log in before you can comment on or make changes to this bug.